%define module_name URI
%define module_dir  URI

Name: perl-%module_name
Version: 1.23
Release: alt1

Summary: URI module for perl
License: GPL or Artistic
Group: Development/Perl
BuildArch: noarch

Url: http://www.cpan.org/modules/by-module/URI/
Source0: %module_name-%version.tar.bz2

# Automatically added by buildreq on Sun Jan 26 2003 (*tcb* excluded)
BuildRequires: perl-devel perl-libnet

# skiplists working
BuildPreReq: rpm-build >= 4.0.4-alt13

%add_findreq_skiplist %perl_vendor_privlib/URI/urn/isbn.pm

%description
This package contains the URI.pm module with friends.  The module
implements the URI class.  Objects of this class represent Uniform
Resource Identifier (URI) references as specified in RFC 2396.

URI objects can be used to access and manipulate the various
components that make up these strings.  There are also methods to
combine URIs in various ways.

%prep
%setup -q -n %module_name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/URI*
%perl_vendor_man3dir/*
%doc README Changes rfc2396.txt

%changelog
* Sun Jan 26 2003 Alexey Tourbin <at@altlinux.ru> 1.23-alt1
- 1.23
- don't exclude isbn.pm, rather use _findreq_skiplist

* Fri Dec 20 2002 Alexey Tourbin <at@altlinux.ru> 1.22-alt2
- isbn support disabled
- buildreq applied
- more %%docs

* Thu Dec 19 2002 Stanislav Ievlev <inger@altlinux.ru> 1.22-alt1
- 1.22

* Wed Oct 23 2002 Alexey Tourbin <at@altlinux.ru> 1.18-alt2
- rebuilt for perl-5.8 with new rpm macros

* Wed Mar 27 2002 Stanislav Ievlev <inger@altlinux.ru> 1.18-alt1
- 1.18

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 1.12-alt1
- 1.12 . Rebuilt with perl-5.6.1

* Sun Jan 28 2001 Mikhail Zabaluev <zabaluev@parascript.com> 1.10-ipl1mdk
- Updated:
  + version 1.10
- Changed:
  + adapted spec for Sisyphus

* Wed Jun 28 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.07-1mdk_mhz
- new version
- redid filelist

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 1.05-2mdk
- new group, rebuild, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- upgraded to 1.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com?
- bzip2'd sources
- updated to 1.04

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
